<%@ page import="sms.*" %>

<%!
	/**
	* Logins in a user by setting the SmsAccount in session
	*
	* @param hs The HttpSession
	* @param username The username
	*
	* @return True if succesful otherwise false.
	*/
	public boolean login(HttpSession hs, String username)
	{
		// Simply fetch an Account from the Office and
		// store it in session
		
		SmsAccount account = SmsOffice.getInstance().getAccount(username);
		
		if(account != null)
		{
			hs.setAttribute("ACCOUNT",account);
			return true;
		}
		else
			return false;
		
	}
%>


<%
	// Lets check if someone tried to login
	String user = request.getParameter("username");
	
	if(user != null && !"".equals(user))
	{
		// Yes, someone is trying to login
		if(login(session,user))
		{
			// The attempt was succesful, redirect to main page
			response.sendRedirect("index.jsp");
			return;
		}
	}
	
%>
<html>

<head>
<title>Log in</title>
<link rel="stylesheet" href="style.css">
</head>

<body>

<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber1" height="100%">
  <tr>
    <td align="center" width="100%">
	<form action="login.jsp" method="post">
    	<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="200" id="AutoNumber2">
      		<tr>
        		<td><b>Log in ...</b></td>
      		</tr>
      		<tr>
        		<td>Name: <input type="text" size="20" name="username"></input></td>
      		</tr>
      		<tr>
        		<td align="right"><input type="submit" value="Log in"></input></td>
      		</tr>
    	</table>
    </form>
    </td>
  </tr>
</table>

</body>

</html>